# Interface ITableRowOptions

#### Hierarchy

- ITableRowPropertiesOptions
  - ITableRowOptions

- Defined in file/table/table-row/table-row.ts:5

#####
Index

### Properties

cantSplit?
children
height?
tableHeader?

## Properties

### `Optional` `Readonly` cantSplit

cantSplit?: boolean

Inherited from ITableRowPropertiesOptions.cantSplit

- Defined in file/table/table-row/table-row-properties.ts:36

### `Readonly` children

children: readonly TableCell[]

- Defined in file/table/table-row/table-row.ts:6

### `Optional` `Readonly` height

height?: {
rule: HeightRule;
value: number | `${number}mm` | `${number}cm` | `${number}in` | `${number}pt` | `${number}pc` | `${number}pi`;
}

#### Type declaration

- ##### `Readonly` rule: HeightRule

- ##### `Readonly` value: number | `${number}mm` | `${number}cm` | `${number}in` | `${number}pt` | `${number}pc` | `${number}pi`

Inherited from ITableRowPropertiesOptions.height

- Defined in file/table/table-row/table-row-properties.ts:38

### `Optional` `Readonly` tableHeader

tableHeader?: boolean

Inherited from ITableRowPropertiesOptions.tableHeader

- Defined in file/table/table-row/table-row-properties.ts:37

Generated using TypeDoc